Opened 7 years ago

Closed 6 years ago

Last modified 3 years ago

#1092 closed Defect (fixed)

non-penetrative convection option does not work

Reported by: rfurner Owned by: nemo
Priority: low Milestone: Unscheduled
Component: OCE Version: release-3.5
Severity: Keywords:
Cc: gm

Description

The npc option to deal with unstably stratified water columns fails to run in the AMM domain. It is clear that this code has not been developed or looked at for sometime, and is not known to be used by anyone, so is in need of either some work in cleaning it up and testing to ensure it works with all NEMO options, or removal from the code. In the interim it would be beneficial to add a warning statement to the code, so any potential users are aware that it is untested and known to fail for at least some simulations.

Commit History (4)

ChangesetAuthorTimeChangeLog
5386gm2015-06-09T16:05:14+02:00

#1092 minor bug correction on tranpc.F90 algorithm

4830gm2014-11-06T11:56:42+01:00

#1092 and #1326 : new npc algorithm : small bug fix on unintialized logical

4678gm2014-06-20T11:13:15+02:00

#1092 and #1326 : npc algorithm is not working, prevent the use of npc in v3.4 stable

4677gm2014-06-20T11:11:11+02:00

#1092 and #1326 : npc algorithm is not working, prevent the use of npc in v3.6

Change History (5)

comment:1 Changed 6 years ago by gm

  • Resolution set to fixed
  • Status changed from new to closed

The current algorithm is of limited interest when using a non linear equation of state as it works on static stability computed at z=0. Furthermore, it is not working as you noticed it.

zdfini.F90 has been modified to prevent the use of npc algorithm in both the trunk (v3.6) and the v3.4_stable (see revision 4677 and 4678) 

I did not remove npc from NEMO, as we have developed and validated a new version of npc that works on LOCAL static stability. The new version is deeply linked to the new equation of state (see #1294), therefore it will only be available in NEMO v3.7 (see the branch ​2014/dev_CNRS1_10_TEOS10_Ediag )

Gurvan 

comment:2 Changed 5 years ago by gm

An update of tranpc.F90 module slightly improves the efficiency of the algorithm and prevents a bug that occurred when several unstable portions were found in the same water column.
The update also increased readability of the algorithm.

It also removes a control in zdfini.F90 that were preventing the use of the tranpc.F90
Nevertheless the code will stop if key_top is activated as the npc algorithm is only coded on T & S, not on passive tracers.

see changeset 5386

Laurent Brodeau & Gurvan

comment:3 Changed 4 years ago by nicolasmartin

  • Keywords convection removed

comment:4 Changed 3 years ago by nemo

  • Keywords Misc. added

comment:5 Changed 3 years ago by nemo

  • Keywords Misc. removed
Note: See TracTickets for help on using tickets.